Subject: Re: [geonet/its] WSMP-Fast Overhead Comparison

From: R Gerges <[email-masked]>
Date: Sat, 26 Jul 2014 09:30:20 -0700

John,
Can you direct me to where I can find a comparison between WSMP and FAST
that  support the claims of  "minimum overhead and latency?"

Also with regard the current discussion at the Tiger Team (UNII 4-DSRC), I
see claims about simulation using a message of 300 bytes. Can you or any
one in the group give me the minimum and maximum number of bytes (with
encryption) that were used in the 1609/dot11p work?

Thank you,
Ramez

On Fri, Jul 25, 2014 at 12:59 PM, John Moring <[email-masked]> wrote:

>  As Vice Chair of the IEEE 1609 Working Group, and editor of the IEEE Std
> 1609.3 that specifies WSMP, allow me to provide a little background.
>
> As was previously noted, WSMP does not run over IP. It was developed
> specifically as an alternative to IPv6 (1609's other stack) for
> low-latency, low-overhead, point to point traffic.
>
> There is ongoing discussion of potentially enhancing or providing an
> alternate to WSMP in future versions of 1609, some of which is described by
> Dick Roy below. What a future revision of IEEE Std 1609.3 might include or
> when it would be published is yet to be determined.
>
> Interested parties may join our email reflector by addressing
> [email-masked] with message body "subscribe stds-p1609".
>
> Regards,
> John Moring
>
>  ------------------------------
> *From:* its [mailto:[email-masked]] *On Behalf Of *vamsi krishna tp
> *Sent:* Tuesday, July 22, 2014 5:25 AM
> *To:* Richard Roy
> *Cc:* Alexandru Petrescu; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; Saurabh Pal
> *Subject:* Re: [geonet/its] About WSMP (Wave Short Message Protocol)
>
>   HI RR,
>
>          Thanks for that valuable info/suggestion. Can you please send me
> the link where
>  I can get updated about this harmonisation procedure.
>
> Regards,
> Vamsi
>
>
> On Sat, Jul 19, 2014 at 5:29 AM, Richard Roy <[email-masked]> wrote:
>
>> All,
>>
>> I'm not quite sure why this thread is on the geonet/its mailing list,
>> however I can provide a few comments for consideration.
>>
>> 1)IEEE 1609's WSMP is currently undergoing "harmonization" with TC204
>> WG16's
>> FNTP and is likely to be changing in the very near future so you may want
>> to
>> wait a bit before you go to the trouble of coding up a protocol that will
>> be
>> out of date by the time you get it implemented. You will also appreciate
>> the
>> changes/improvements! (see 3))
>>
>> 2) The whole point of the fast protocol is to minimize overhead and
>> processing for point-to-point communications.  As such, there is no need
>> for
>> a network layer, and consequently, the protocol is designed without one.
>> There are NO network layer addresses (or functionalities) in the fast
>> protocol at all; hence it is a NULL-networking layer protocol.
>>  Furthermore,
>> in the current WSMP, there is NO transport layer protocol either! Hence it
>> is also a NULL-transport layer protocol.  Essentially the fast protocol
>> does
>> nothing except take an LSDU and deliver it to the higher layer entity
>> which
>> is supposed to get it! In the current WSMP, that is indicated by the PSID
>> field (see point 3)).
>>
>> 3) Point 2) notwithstanding, one of the proposals to harmonize FNTP with
>> WSMP includes network and transport layer headers that add flexibility to
>> optionally add some limited functionality at the network and/or transport
>> layers. As with all network layer protocols, the transport protocol is
>> specified in a transport protocol ID in the network header.  Most
>> importantly, the new fast protocol uses PORT NUMBERS (not
>> PSIDs/ITS-AIDs)to
>> identify the higher layer entity (above the transport layer) that is to
>> receive the TSDU.  This will make the creation of sockets quite simple.
>>
>> Hope this is useful ...
>>
>> Cheers,
>>
>> RR
>>
>> > -----Original Message-----
>> > From: vamsi [mailto:[email-masked]]
>>  > Sent: Thursday, July 17, 2014 10:55 PM
>> > To: [email-masked]
>> > Cc: [email-masked]; [email-masked]; [email-masked];
>> > [email-masked]; [email-masked]; [email-masked];
>> > [email-masked]
>> > Subject: Re: [geonet/its] About WSMP (Wave Short Message Protocol)
>> >
>> > Dear karagian,
>> >
>> > Thank for reply!
>> >
>> > WSMP referring Transport layer + Network layer protocol. WSMP protocol
>> > don't have IP address concept, it used MAC address and sending packet
>> > broadcast.
>> >
>> > On Fri, 2014-07-18 at 05:24 +0000, [email-masked] wrote:
>> > > Hi Vamsi,
>> > >
>> > > Thanks for your email!
>> > > When you talk about the network layer in the below email are you
>> > refering to the IP protocol?
>> > >
>> > > Best regards,
>> > > Georgios
>> > >
>> > > ________________________________________
>> > > Van: its [[email-masked]] namens vamsi [[email-masked]]
>> > > Verzonden: donderdag 17 juli 2014 13:20
>> > > Aan: [email-masked]; [email-masked];
>> > [email-masked]; [email-masked];
>> > [email-masked]; "its "@ietf.org; [email-masked]
>> > > Onderwerp: [geonet/its] About WSMP (Wave Short Message Protocol)
>> > >
>> > > Hi ,
>> > >
>> > >  I am planing to develop WSMP (Wave Short Message Protocol) protocol
>> in
>> > > transport layer.Any suggestions will be appreciated,
>> > >
>> > > My idea is given below
>> > >
>> > > WSMP(Wave Short Message Protocol ie. 1609.3
>> > > published by the IEEE Vehicular Society) is a part of the
>> DSRC(Dedicated
>> > > Short Range Communications) standards suite which include 802.11p,
>> > > 1609.x series. Which are used for "intervehicular communication" and
>> > > also for "vehicle to infrastructure communication".
>> > >
>> > > The DSRC/WAVE stack:
>> > >
>> > >          Application Layer (SAE J2735 Message set dictionary)
>> > >
>> > >                 ^
>> > >                 |
>> > >          Transport Layer -|
>> > >                 ^         |
>> > >                 |         |--(WSMP IEEE 1609.3) Both combined
>> > >          Network Layer    |
>> > >                 ^         |
>> > >                 |         |
>> > >          LLC(existing)   -|
>> > >                 ^
>> > >                 |
>> > >          Datalink Layer  -|
>> > >                 ^         |
>> > >                 |         |--(1609.4 and IEEE802.11p)
>> > >          Physical Layer  -|
>> > >
>> > >
>> > > Currently as IEEE 802.11-2012 has released,it is having 802.11p also
>> > > merged in it.
>> > > We may have WSMP acting as both transport layer and network layer.We
>> > > have some proprietry
>> > > implementations of all these standards but no open source
>> implementation
>> > > has been done.
>> > >
>> > > We propose to develop this in a way so that it has a socket interface
>> to
>> > > the user.
>> > > Please give your suggestions.
>> > > For more info regarding the stack one may refer to the Document
>> > > IEEE1609.0 or John Kenney's
>> > > paper on this subject "Dedicated Short-Range
>> > > Communications (DSRC) Standards in the United States"
>> > > link  "http://secs.oakland.edu/~gpcorser/vanet-kenny-DSRC.pdf"
>> > >
>> > > _______________________________________________
>> > > its mailing list
>> > > [email-masked]
>> > > https://www.ietf.org/mailman/listinfo/its
>> >
>> >
>>
>>
>>
>

---

From: Scott Andrews <[email-masked]>
Date: Sun, 27 Jul 2014 07:30:18 -0400

Ramez; 

I am not sure of the context for your question about 300 bytes, but many
years ago (around 2006/2007) we were seeking to reduce the signed BSM size
as much as possible (because everyone felt that 200+% security overhead was
excessive). Technocom did a simulation using NS-2 that showed that the
channel congestion was driven more by message count than size. Basically at
around 300 bytes, with 200+ vehicles sending at 10 Hz, the CSMA timing
resulted in the channel degrading regardless of the time the message was in
the channel (i.e.. Regardless of how large the message was). Obviously if
you make LARGER BSMs, then this does not hold true, but it appears that
driving the message size substantially below 300 Bytes has little effect.

John/Justin, do you recall this analysis?
____________________________

Scott Andrews
Cogenia Partners, LLC

Systems Engineering and Intellectual Property Consulting for Automotive,
Mobile Computing, Navigation, and Communications

101 H Street
Suite A
Petaluma, CA 94952

Cell: (650) 279-0242
Office: (707) 981-7146
Direct/Fax: (707) 981-7148

[email-masked]

www.cogenia.com

________________________________________________________________

The information contained in this communication may be CONFIDENTIAL and is
intended only for the use of the recipient('s) named above. If you are not
the intended recipient, you are hereby notified that any dissemination,
distribution, or copying of this communication, or any of its contents, is
strictly prohibited. If you have received this communication in error,
please notify the sender and delete/destroy the original message and any
copy of it from your computer or paper files.

From:  R Gerges <[email-masked]>
Date:  Saturday, July 26, 2014 at 12:30 PM
To:  John Moring <[email-masked]>
Cc:  <[email-masked]>, 1609 <[email-masked]>
Subject:  Re: WSMP-Fast Overhead Comparison

John,

Also with regard the current discussion at the Tiger Team (UNII 4-DSRC),  I
see claims about simulation using a message of 300 bytes. Can you or any one
in the group give me the minimum and maximum number of bytes (with
encryption) that were used in the 1609/dot11p work?

Thank you,
Ramez

On Fri, Jul 25, 2014 at 12:59 PM, John Moring <[email-masked]> wrote:
> specifically as an alternative to IPv6 (1609's other stack) for low-latency,
> low-overhead, point to point traffic.
>  
> There is ongoing discussion of potentially enhancing or providing an alternate
> to WSMP in future versions of 1609, some of which is described by Dick Roy
> below. What a future revision of IEEE Std 1609.3 might include or when it
> would be published is yet to be determined.
>  
> From: its [mailto:[email-masked]] On Behalf Of vamsi krishna tp
> Sent: Tuesday, July 22, 2014 5:25 AM
> To: Richard Roy
> Cc: Alexandru Petrescu; [email-masked]; [email-masked];
>          Thanks for that valuable info/suggestion. Can you please send me the
> link where
>> 1)IEEE 1609's WSMP is  currently undergoing "harmonization" with TC204 WG16's
>> FNTP and is likely  to be changing in the very near future so you may want to
>> wait a bit before  you go to the trouble of coding up a protocol that will be
>> processing for point-to-point  communications.  As such, there is no need for
>> protocol at all; hence it  is a NULL-networking layer protocol.  Furthermore,
>> nothing except take an LSDU and deliver it to the higher layer entity  which
>> importantly, the new fast protocol uses  PORT NUMBERS (not PSIDs/ITS-AIDs)to
>>> > [email-masked];  "its "@ietf.org <http://ietf.org> ;
>>> [email-masked]
in
to